<html>
<body>
<pre>


INTRODUCTION TO THE EXAMPLES

The following sections demonstrate how the software can be used on
several toy problems.  These examples are meant to illustrate the
features of the software.  You should note that the models and Markov
chain methods used are not necessarily appropriate for other problems.
To gain a full understanding of the various possibilities, and their
advantages and disadvantages, you will need to read both the pertinent
references (see <A HREF="Facilities.html">Facilities.doc</A>), and the detailed documentation on the
various commands.

The output shown for these examples was obtained by running the
software one machine, with "&gt;" at the start of a line indicating a
command line that was input.  It is possible (even likely) that your
results will differ, even if you have installed the software
correctly, since small differences in floating point arithmetic (eg,
due to different implementations of math functions) can be magnified
into large differences in the course of the simulation.  However,
unless one of the simulations became stuck in an isolated local mode,
the final predictions you obtain (eg, from 'net-pred' or 'gp-pred'),
and the final distributions of model parameters, should be close to
those reported below.

Some of the examples show the output of "xxx-plt" commands being piped
into a program called "plot", or "plot-points".  Any plot program
could be used that reads pairs of numbers from standard input and
plots them (in some cases, a blank line is present to indicate the
start of a new sub-plot).  My version of the 'graph' program, from my
version of 'plotutils', has been designed to work well for this
application.  (Use it with the -n option, for new defaults, and with
the -p1 option if you want small points rather than lines).  You can
get this program at github.com/radfordneal/plotutils.  An older
possibility is the "xgraph" program written by David Harrison, which
can be obtained from my web page at www.cs.utoronto.ca/~radford.

If you lack a plot program that can be used in this convenient way,
you can redirect the output to a file (eg, "net-plt t l log &gt;file")
and then read this file into whatever plotting program you have.  As a
last resort, you can just look at the numbers in the file yourself.

All the data sets mentioned here are present in directories with names
beginning with "ex-", along with the data and the source of the C
programs that generated the data.  The commands given assume that you
are in the directory containing the data.  The command sequences used
for each example are also stored in these directories, in shell files
with the names like 'rcmds.net', 'rcmds.gp', 'bcmds.net', 'bcmds.gp',
etc.  Some of these directories also contain other command files used
for examples in my papers.

Computation times are given for many of the examples.  These are all
for the current version of the software, run on the system described
in <A HREF="Ex-test-system.html">Ex-test-system.doc</A>.  For neural network examples, single-precision
arithmetic is used, as is the default.  (Other modules always use
double-precision arithmetic.)
</pre>
</body>
</html>
